Bug 433673 - sshd policy vs ~/.ssh symlinks
sshd policy vs ~/.ssh symlinks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 14:39 EST by Roland McGrath
Modified: 2008-11-17 17:03 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:03:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2008-02-20 14:39:20 EST
Description of problem:

avc: denied { read } for comm=sshd dev=dm-1 egid=5281 euid=5281
exe=/usr/sbin/sshd exit=-13 fsgid=5281 fsuid=5281 gid=5281 items=0 name=rc
pid=27896 scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 sgid=5281
subj=system_u:system_r:sshd_t:s0-s0:c0.c1023 suid=5281 tclass=lnk_file
tcontext=user_u:object_r:user_home_t:s0 tty=(none) uid=5281 

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.0.8-84.fc8

How reproducible:

100%

Steps to Reproduce:
1.
2.
3.

magilla 122 % ls -l ~/.ssh/rc
lrwxrwxrwx 1 roland roland 13 2007-05-05 18:59 /home/roland/.ssh/rc -> ../init/sshrc
magilla 123 % ls -Zl ~/.ssh/rc
lrwxrwxrwx 1 user_u:object_r:user_home_t      roland roland 13 2007-05-05 18:59
/home/roland/.ssh/rc -> ../init/sshrc
magilla 124 % ls -ld ~/init{,/sshrc}
drwxr-xr-x 5 roland roland 4096 2008-01-07 15:28 /home/roland/init
-rw-r--r-- 1 roland roland  859 2006-12-05 22:53 /home/roland/init/sshrc
magilla 125 % ls -ldZ ~/init{,/sshrc}
drwxr-xr-x  roland roland user_u:object_r:user_home_t      /home/roland/init
-rw-r--r--  roland roland user_u:object_r:user_home_t      /home/roland/init/sshrc
magilla 126 % 

  
Actual results:

avc denial

Expected results:

no avc denial

Additional info:
Comment 1 Daniel Walsh 2008-02-20 17:10:55 EST
Fixed in selinux-policy-3.0.8-89.fc8
Comment 2 Daniel Walsh 2008-11-17 17:03:08 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.